get
https://ms.sorteonline.com.br/uat/caas-api/v1/catalog/syndicates
Endpoint responsible for expose syndicates catalog.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sort Valid Values
| Value | Description |
|---|---|
price:asc | Sort results by ascending price |
price:desc | Sort results by descending price |
shares:asc | Sort by ascending number of shares |
shares:desc | Sort by descending number of shares |
probability:asc | Sort by lower probability |
probability:desc | Sort by higher probability |
Description of result properties
Syndicates
| Field | Type | Description |
|---|---|---|
| productId | Integer | Unique identifier of the product. |
| description | String | Detailed description of the product. |
| shortDescription | String | Short description of the product. |
| syndicateName | String | Name of the syndicate. |
| lotteryName | String | Name of the associated lottery. |
| drawNumber | Integer | Draw number. |
| bets | Integer | Number of bets included. |
| price | Integer | Current price of the product. |
| priceWithoutDiscount | Integer | Price of the product without discount. |
| jackpot | Integer | Estimated value of the main prize. |
| drawDate | DateTime | Date and time of the draw (ISO 8601 format). |
| availableShares | Integer | Number of shares still available for sale. |
| totalShares | Integer | Total number of shares in the syndicate. |
| categoryId | Integer | Identifier of the product category. |
| jackpotOdds | Integer | Relative odds of winning the main prize (the lower the number, the harder it is). |
| cutOffDate | DateTime | Deadline date and time to make a purchase (ISO 8601 format). |
| jackpotStatus | String | Status of the main prize (e.g., "special", "super-special" and "normal"). |
| probability | String | Qualitative assessment of the chance to win (e.g., "Good", "Very good", "High", and "Very high"). |
| lotterySlug | String | Slug of the associated lottery. |
| matrixLink | String | Loteca matrix url. It is only returned for Loteca Syndicates |
| extraordinarySlug | String | Extraordinary draw slug. Null when the draw is special or regular |
| isSpecialSyndicate | Boolean | Flag that indicates when a syndicate is special |
Pagination
| Field | Type | Description |
|---|---|---|
| currentPage | Integer | Current page number. |
| nextPage | Integer | Next available page number. |
| lastPage | Integer | Last available page number. |
| pageSize | Integer | Number of records displayed per page. |